.casestudyPageWrap section.title.title--casestudy.apiDevlopmentWrap { padding: 60px 0px; text-align: center; color: white; background-color: #020842; background-image: url(/wp-content/uploads/2024/06/bg_pattern_4.svg) !important; background-position: center center; background-repeat: no-repeat; background-size: cover; position: relative; }
.casestudyPageWrap section.title.title--casestudy.apiDevlopmentWrap::after { content: ""; position: absolute; right: 0; top: 0; height: 100%; max-width: 300px; width: 100%; background: url("/wp-content/uploads/2024/05/shape_angle_3.webp") top right/100% no-repeat; }
.casestudyPageWrap section.title.title--casestudy.apiDevlopmentWrap::before { content: ""; position: absolute; left: 0; top: 0; width: 100%; height: 100%; max-width: 400px; background: url("/wp-content/uploads/2024/05/circle_engine_4.png") -140px 71px/100% no-repeat; opacity: 0.1; }
.casestudyPageWrap section.title.title--casestudy.apiDevlopmentWrap .container {position: relative;z-index: 1;}
main.casestudyPageWrap.innerPage h1 {color: white;}
main.casestudyPageWrap section.casestudyNew.filter-wrapper {margin: 60px auto 0 auto;max-width: 1260px;padding-bottom: 40px;padding-left: 20px;padding-right: 20px;}
main.casestudyPageWrap form.custom-filter-case-study { display: flex; justify-content: center; gap: 30px; }
main.casestudyPageWrap select.filter_select { width: 350px; padding: 15px 0px 15px 10px; border: 1px solid #d7d7d7; border-radius: 5px; }
.filter-box {position: relative;}
.filter-box select { appearance: none; -webkit-appearance: none; -moz-appearance: none; background: url(/wp-content/uploads/2026/02/down-arrow-1.png) no-repeat; background-position: right 15px center; background-size: 16px; cursor: pointer; }
select:focus,select:focus-visible {outline: none;box-shadow: none;}
main.casestudyPageWrap .case-study-content.portfolio-content {margin: 50px auto 0px auto;}
main.casestudyPageWrap article.case-study-item { background: #ffffff; border-radius: 25px; box-shadow: 0 4px 25px rgba(0, 0, 0, .05); padding: 40px; height: fit-content; margin-bottom: 20px; border-bottom: 10px solid #020d45; transition: 0.5s; }
main.casestudyPageWrap article.case-study-item:hover{border-bottom: 10px solid #50b8ff;}
main.casestudyPageWrap .innerPart {display: flex;flex-direction: row-reverse;flex-wrap: wrap;}
main.casestudyPageWrap .innerPart div {width: 50%;}
main.casestudyPageWrap .image img { width: 85%; margin: 0 auto; display: block; }
main.casestudyPageWrap.innerPage {background: #f9f9f9;}
main.casestudyPageWrap.innerPage h2{font-size: 30px;}
main.casestudyPageWrap.innerPage .casestudyContent {padding: 10px;}
.case-study-btn-wrap a { background: #020d45 !important; color: white; padding: 10px 15px; border-radius: 10px; transition: 0.5s; }
.case-study-btn-wrap a:hover {background: #50b8ff !important;color: white !important;}
p.No-Case-Study { text-align: center; font-size: 20px; margin: 20px auto; background: #e7e7e7; padding: 20px; width: 30%; border-radius: 50px; }
.common_Filters .filter-select {min-height: 62px; border-radius: 10px;}
.common_Filters .filter-select:hover::after {color: #fff;}
.common_Filters .dropdown-menu.show { z-index: 99; left: 0 !important; right: 0 !important; width: max-content !important; min-width: 100%; }
.common_Filters .dropdown-menu { max-height: 340px; overflow: auto; transition-property: opacity !important; background: #fff; }
main.casestudyPageWrap.innerPage p {margin-bottom: 0;}
main.casestudyPageWrap.innerPage .casestudyContent .case-study-btn-wrap {margin-top: 16px;}
@media (min-width: 768px) and (max-width: 1024px){
    .common_Filters .filter-select {padding-inline: 20px;}.common_Filters {gap: 15px;}
}
@media (max-width: 820px) {
    p.No-Case-Study { text-align: center; font-size: 18px; width: 90%; }
    main.casestudyPageWrap select.filter_select {width: 100%;}
    main.casestudyPageWrap .case-study-content.portfolio-content {width: 100%;}
    main.casestudyPageWrap article.case-study-item {padding: 34px 24px;}
    main.casestudyPageWrap .innerPart div {width: 100%;}
    main.casestudyPageWrap.innerPage h2 {font-size: 18px;}
    main.casestudyPageWrap .image img {width: 100%;margin-bottom: 20px;}
    .casestudyContent p {font-size: 14px;}
    .case-study-btn-wrap a {font-size: 12px;}
    .filter-box {width: 100%;}
}
@media (min-width: 1000px) and (max-width:1400px){
    main.casestudyPageWrap section.casestudyNew.filter-wrapper { width: 100%;margin: 30px auto 0px auto;}
    main.casestudyPageWrap select.filter_select { width: 300px;}
    main.casestudyPageWrap.innerPage h2 {font-size: 23px;}
    main.casestudyPageWrap .image img { width: 85%; margin: 0 auto; display: block; height: 100%; object-fit: contain; }
}
@media (max-width: 767px) {
    .casestudyPageWrap section.title.title--casestudy.apiDevlopmentWrap {padding: 40px 0;}
    .common_Filters .filter-select {padding-inline: 20px;}
    .common_Filters {gap: 15px;}
    .common_Filters .filter-box { width: 100%; flex: 1 0 auto; text-align: center; }
    .common_Filters .filter-box .filter-select {width: 100%;}
    .common_Filters .dropdown-menu {width: 100%;}
    .common_Filters .filter-box .dropdown {max-width: 400px;margin: 0 auto;}
    body .case-study-btn-wrap a{width: 100%;text-align: center;}
    body main.casestudyPageWrap form.custom-filter-case-study{gap:15px;}
    body main.casestudyPageWrap section.casestudyNew.filter-wrapper {margin: 45px auto 0 auto;}
    body main.casestudyPageWrap form.custom-filter-case-study{flex-wrap: wrap;}
    main.casestudyPageWrap .case-study-content.portfolio-content {margin: 32px auto 0px auto;}
}
@media (max-width:1024px){
    .casestudyPageWrap section.title.title--casestudy.apiDevlopmentWrap::after {max-width: 150px;}
}
